Skip to main content
GET
/
v1
/
customer-seats
Go (SDK)
package main

import(
	"context"
	"os"
	polargo "github.com/polarsource/polar-go"
	"log"
)

func main() {
    ctx := context.Background()

    s := polargo.New(
        polargo.WithSecurity(os.Getenv("POLAR_ACCESS_TOKEN")),
    )

    res, err := s.CustomerSeats.ListSeats(ctx, nil, nil)
    if err != nil {
        log.Fatal(err)
    }
    if res.SeatsList != nil {
        // handle response
    }
}
{
  "seats": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "pending",
      "subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "member": {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "customer_id": "<string>",
        "email": "<string>",
        "name": "Jane Doe",
        "external_id": "usr_1337",
        "role": "owner"
      },
      "email": "<string>",
      "customer_email": "<string>",
      "invitation_token_expires_at": "2023-11-07T05:31:56Z",
      "claimed_at": "2023-11-07T05:31:56Z",
      "revoked_at": "2023-11-07T05:31:56Z",
      "seat_metadata": {}
    }
  ],
  "available_seats": 123,
  "total_seats": 123
}

Documentation Index

Fetch the complete documentation index at: https://polar.sh/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Query Parameters

subscription_id
string<uuid4> | null
order_id
string<uuid4> | null

Response

Successful Response

seats
CustomerSeat · object[]
required

List of seats

available_seats
integer
required

Number of available seats

total_seats
integer
required

Total number of seats for the subscription